@if (authenticatedUser$ | async; as user) {
  <div
    class="full-width full-height flex-column overflow-hidden admin-workspace-grid-container"
  >
    <div class="flex-fixed-size flex-row">
      <span class="admin-workspace-secondary-title m-l-50">
        {{
          'sqtm-core.administration-workspace.users.manage.title' | translate
        }}
      </span>
      @if (user.admin) {
        <div
          class="flex-fixed-size admin-workspace-grid-toolbar"
          [attr.data-test-toolbar-id]="'users-toolbar'"
        >
          <i
            nz-icon
            nz-dropdown
            nzType="sqtm-core-generic:add"
            nzTheme="outline"
            class="current-workspace-button action-icon-size"
            nz-tooltip
            nzTooltipPlacement="topRight"
            [nzTooltipTitle]="
              'sqtm-core.entity.user.tooltip.add-user' | translate
            "
            [attr.data-test-toolbar-button-id]="'create-button'"
            (click)="addUser()"
          >
          </i>
          <sqtm-core-toggle-icon
            [active]="gridService.hasSelectedRows$ | async"
            (clickedInActiveMode)="openMultiEditDialog()"
          >
            <i
              nz-icon
              nzType="sqtm-core-generic:bulk_edition"
              nzTheme="outline"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.search.generic.modify.selection' | translate
              "
              class="action-icon-size"
              [attr.data-test-button-id]="'multi-edit'"
            ></i>
          </sqtm-core-toggle-icon>
          <span class="current-workspace-button">
            <sqtm-core-toggle-icon
              (clickedInActiveMode)="deleteUsers($event)"
              [active]="gridService.hasSelectedRows$ | async"
            >
              <i
                nz-icon
                nz-dropdown
                nzType="sqtm-core-generic:delete"
                nzTheme="outline"
                class="action-icon-size"
                nz-tooltip
                nzTooltipPlacement="topRight"
                [nzTooltipTitle]="
                  'sqtm-core.entity.user.tooltip.delete-user.multiple'
                    | translate
                "
                [attr.data-test-toolbar-button-id]="'delete-button'"
              >
              </i>
            </sqtm-core-toggle-icon>
          </span>
          <sqtm-core-grid-export-menu
            [exportContent]="
              'sqtm-core.administration-workspace.users.grid.export' | translate
            "
            [workspaceName]="
              'sqtm-core.administration-workspace.label.short' | translate
            "
            [fileFormat]="'csv'"
          >
          </sqtm-core-grid-export-menu>
        </div>
      }
    </div>
    <div class="flex-row full-width full-height">
      <sqtm-app-user-workspace-anchors></sqtm-app-user-workspace-anchors>
      <div
        class="flex-column full-height full-width overflow-hidden sqtm-large-grid-container p-10 m-l-10"
      >
        <sqtm-core-text-research-field
          [attr.data-test-element-id]="'user-filter-field'"
          (newResearchValue)="filterUsers($event)"
          class="sqtm-core-multi-research-field"
        >
        </sqtm-core-text-research-field>
        <sqtm-core-grid class="full-height"></sqtm-core-grid>
      </div>
    </div>
  </div>
}
